#ifndef __gammaLO_hh__
#define __gammaLO_hh__

#include <iostream>
#include "../math/complex.hh"

// complex version
dcomplex gamma0qq(dcomplex N);
dcomplex gamma0qg(dcomplex N, double nf);
dcomplex gamma0gq(dcomplex N);
dcomplex gamma0gg(dcomplex N, double nf);
// first derivative
dcomplex gamma0qq_prime(dcomplex N);
dcomplex gamma0qg_prime(dcomplex N, double nf);
dcomplex gamma0gq_prime(dcomplex N);
dcomplex gamma0gg_prime(dcomplex N);
// second derivative
dcomplex gamma0qq_second(dcomplex N);
dcomplex gamma0qg_second(dcomplex N, double nf);
dcomplex gamma0gq_second(dcomplex N);
dcomplex gamma0gg_second(dcomplex N);


// same as above, but for real variables
double gamma0qq(double N);
double gamma0qg(double N, double nf);
double gamma0gq(double N);
double gamma0gg(double N, double nf);

double gamma0qq_prime(double N);
double gamma0qg_prime(double N, double nf);
double gamma0gq_prime(double N);
double gamma0gg_prime(double N);


#endif
